<bugID>600183<Summary>Web Console: currentContext is always used in network logging code</Summary><Description>In the Web Console httpObserver we always use the gBrowser object from the currentContext() (which gives use the most recent / the active browser window). This means it's almost guaranteed that the code fails to work when the user loads more tabs in more than one window.

We need to investigate when exactly the httpObserver code fails and how badly it does. If important, we need to fix the bug. It should be easy to do this.</Description></bugID>